- abs
- acos
- asin
- atan
- ceil
- cos
- exp
- first
- floor
- format
- high
- is_nan
- is_null
- last
- length
- log
- log10
- low
- now
- pow
- sin
- sqrt
- strchar
- strftime
- substr
- tan

## abs

Description
  Get absolute value
Domain
  Numeric -> `double`
Syntax
  abs ( expression )
Example
  `./iquery -q "filter(matrix, abs(A) > 1)"`

## acos

Description
  Calculate arc cosine
Domain
  Numeric -> `double`
Syntax
  acos ( expression )
Example
  `./iquery -q "apply(matrix, res, acos(A))"`

## asin

Description
  Calculate arc sine
Domain
  Numeric -> `double`
Syntax
  asin ( expression )
Example
  `./iquery -q "apply(matrix, res, asin(A))"`

## atan

Description
  Calculate arc tangent
Domain
  Numeric -> `double`
Syntax
  atan ( expression )
Example
  `./iquery -q "apply(matrix, res, atan(A))"`

## ceil

Description
  Get smallest integer number greater or equal than specified
Domain
  Numeric -> `double`
Syntax
  ceil ( expression )
Example
  `./iquery -q "apply(matrix, res, ceil(A))"`

## strchar

Description
  Get first char of the string. SciDB doesn't explicitly support char literal. 'x' is treated as string with length 1. If you need to use character in some query predicate, you should use char function to convert string to character.
Domain
  `String`-> `char```
Syntax
  strchar ( expression )
Example
  `./iquery -q "filter(Scan, Code=strchar('A'))"`

## strftime

Description
  Print data according to specified format (see documantation of libc strftime function).
Domain
  `DateTime, String`-> `String```
Syntax
  strftime ( date, format )
Example
  `./iquery -q "apply(Products, expired, strftime(expiration_date, '%D'))"`

## substr

Description
  Get substring of the string.
Domain
  `String, Integer, Integer`-> `String```
Syntax
  substr ( string<set></set>, offset, length )
Example
  `./iquery -q "apply(Scan, ExpirationDate, subftime(Expired, '%D'))"`

## cos

Description
  Calculate cosine
Domain
  Numeric -> `double`
Syntax
  cos ( expression )
Example
  `./iquery -q "apply(matrix, res, cos(A))"`

## exp

Description
  Calculate exponent
Domain
  Numeric -> `double`
Syntax
  exp ( expression )
Example
  `./iquery -q "apply(matrix, res, exp(A))"`

## first

Description
  Get first coordinate of specified dimension. If array has only one dimension, then dimension specifier can be omitted. Dimension is specified either by name, either by index (zero based poistion of dimension in array descriptor).
Domain
  (`string`, `string`) -> `integer`
Syntax
  first ( array-name [ , dimesnion-spec ] )
Example
  `./iquery -q "subarray(vec, first('vec') + 1, length('vec'))"`

## floor

Description
  Get largest integer number smaller or equal than specified
Domain
  Numeric -> `double`
Syntax
  floor ( expression )
Example
  `./iquery -q "apply(matrix, res, floor(A))"`

## format

Description
  Printf double value using sptring format string
Domain
  (double, string) -> `string`
Syntax
  format ( expression, format-string )
Example
  `./iquery -q "apply(matrix, fx, format(x, '%.20f'))"`

## high

Description
  Get maximal coordinate for specified dimension. If array has only one dimension, then dimension specifier can be omitted. Dimension is specified either by name, either by index (zero based poistion of dimension in array descriptor).
Domain
  (`string`, `string`) -> `integer`
Syntax
  high ( array-name [ , dimesnion-spec ] )
Example
  `./iquery -q "subarray(vec, high('vec') - 1, high('vec'))"`

## is_null

Description
  Check if expression value is null
Domain
  (`any`) -> `boolean`
Syntax
  is_null ( expression ] )
Example
  `./iquery -q "filter(vec, is_null(x))"`

## is_nan

Description
  Check if double value is NAN
Domain
  (`double`) -> `boolean`
Syntax
  is_nan ( expression ] )
Example
  `./iquery -q "filter(vec, is_nan(x))"`

## last

Description
  Get last coordinate of specified dimension. If array has only one dimension, then dimension specifier can be omitted. Dimension is specified either by name, either by index (zero based poistion of dimension in array descriptor).
Domain
  (`string`, `string`) -> `integer`
Syntax
  last ( array-name [ , dimesnion-spec ] )
Example
  `./iquery -q "subarray(vec, 1, last('vec') - 1)"`

## length

Description
  Get length of sepcified dimension of the array. If array has only one dimension, then dimension specifier can be omitted. Dimension is specified either by name, either by index (zero based poistion of dimension in array descriptor).
Domain
  (`string`, `string`) -> `integer`
Syntax
  length ( array-name [ , dimesnion-spec ] )
Example
  `./iquery -q "subarray(vec, 1, length('vec'))"`

## log

Description
  Calculate natural logarithm
Domain
  Numeric -> `double`
Syntax
  log ( expression )
Example
  `./iquery -q "apply(matrix, res, log(A))"`

## log10

Description
  Calculate decimal logarithm
Domain
  Numeric -> `double`
Syntax
  log10 ( expression )
Example
  `./iquery -q "apply(matrix, res, log10(A))"`

## low

Description
  Get minumum coordinate for specified dimension. If array has only one dimension, then dimension specifier can be omitted. Dimension is specified either by name, either by index (zero based poistion of dimension in array descriptor).
Domain
  (`string`, `string`) -> `integer`
Syntax
  low ( array-name [ , dimesnion-spec ] )
Example
  `./iquery -q "subarray(vec, low('vec') - 1, low('vec'))"`

## now

Description
  Get current system time
Domain
  None -> `DateTime`
Syntax
  now ( )
Example
  `./iquery -q "filter(Product, Expired <= now())"`

## pow

Description
  Raise number to the power
Domain
  Numeric, Numeric -> `double`
Syntax
  pow ( expression, expression )
Example
  `./iquery -q "apply(matrix, cube, pow(A, 3))"`

## sin

Description
  Calculate sine
Domain
  Numeric -> `double`
Syntax
  sin ( expression )
Example
  `./iquery -q "apply(matrix, res, sin(A))"`

## sqrt

Description
  Calculate square root
Domain
  Numeric -> `double`
Syntax
  sqrt ( expression )
Example
  `./iquery -q "apply(matrix, res, sqrt(A))"`

## tan

Description
  Calculate tangent
Domain
  Numeric -> `double`
Syntax
  tan ( expression )
Example
  `./iquery -q "apply(matrix, res, tan(A))"`